import { useState, useEffect } from 'react'
import { Input } from '@tarojs/components'
import './index.scss'

export default function ShangYe () {

  // 商贷年限
  const [Years, setYears] = useState([])
  const [CurrentYears, setCurrentYears] = useState({})
  
  // 利率方式
  const [InterestTypes] = useState([
    { name: '按LPR', id: 1 },
    { name: '按旧版基准利率', id: 2 }
  ])
  const [CurrentInterestTypes, setCurrentInterestTypes] = useState(InterestTypes[0])

  let BusinessInterestTypes1 = [ // 按照LPR
    {name: '', id: 1}
  ]
  const BusinessInterestTypes2 = [ // 按照旧版基准利率
  ]
  const [BusinessInterestTypes] = useState(BusinessInterestTypes1)
  const [CurrentBusinessInterest, setCurrentBusinessInterest] = useState(BusinessInterestTypes[0])

  useEffect(() => {
    if (!Years.length) {
      let Arr = []
      for (let n = 30; n > 0; n--) {
        Arr.push({ name: `${n}年`, id: n })
      }
      setYears(Arr)
    } else {
      setCurrentYears(Years[0])
    }
  }, [Years])

  return (
    <view className='components ShangYe'>

      <view className='flex-h'>
        <text>计算方式</text>
        <view className='flex-item'>

        </view>
      </view>

      <view className='flex-h'>
        <text>商贷金额</text>
        <view className='flex-item'>
          <Input></Input>
        </view>
        <text>万</text>
      </view>

      <view className='flex-h'>
        <text>商贷年限</text>
        <view className='flex-item'>
          <picker value={0} range-key='name' range={Years}>{CurrentYears.name}</picker>
        </view>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='flex-h'>
        <text>利率方式</text>
        <view className='flex-item'>
          <picker value={0} range-key='name' range={InterestTypes}>{CurrentInterestTypes.name}</picker>
        </view>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='flex-h'>
        <text>商贷利率</text>
        <view className='flex-item'>
          <picker value={0} range-key='name' range={BusinessInterestTypes}>{CurrentBusinessInterest.name}</picker>
        </view>
        <text className='iconfont icon-jiantouright'></text>
      </view>

    </view>
  )
}
