import { useState, useEffect } from 'react'
import withLayout from '@/layout'
import { ScrollView } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import ShangYe from './components/ShangYe/index'
import './index.scss'

export default withLayout(() => {

  const [MenuList] = useState([
    { name: '商业贷款', id: 1 },
    { name: '组合贷款', id: 2 },
    { name: '公积金贷款', id: 3 }
  ])
  const [CurrnetMenuId, setCurrnetMenuId] = useState(1)

  const CutMenu = (id) => {
    return () => {
      setCurrnetMenuId(id)
    }
  }

  return (
    <view className='Page mortgageCalculation flex-v'>

      <view className='MenuList flex-h'>
        {
          MenuList.map((item, index) => (
            <view key={`ListItem${index}`} className='flex-item'>
              <text onClick={CutMenu(item.id)} className={CurrnetMenuId === item.id ? 'active' : ''}>{item.name}</text>
            </view>
          ))
        }
      </view>

      <view className='flex-item'>
        <view>
          <ScrollView scroll-y>
            <view className='PageContent'>

              {
                CurrnetMenuId === 1 &&
                <ShangYe></ShangYe>
              }

            </view>
          </ScrollView>
        </view>
      </view>

    </view>
  )
})
